Name:		samtools
Version:	1.9
Release:	3%{?dist}
Summary:	Tools for nucleotide sequence alignments in the SAM format

License:	MIT
URL:		http://www.htslib.org/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	gcc
BuildRequires:	htslib-devel
BuildRequires:	htslib-tools
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
# It's used in make test.
BuildRequires:	perl-interpreter
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(lib)

%description
SAM (Sequence Alignment/Map) is a flexible generic format for storing
nucleotide sequence alignment.
SAM Tools provide various utilities for manipulating alignments in the
SAM format, including sorting, merging, indexing and generating
alignments in a per-position format.


%prep
%setup -q

# Remove INSTALL file to suppress rpmlint warning.
rm -f INSTALL


%build
%configure CFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}" \
  --prefix=%{_prefix} \
  --with-htslib=system
%make_build


%install
%make_install

# Remove misc/varfilter.py script using Python 2,
# as it has not been usable since 2011.
# https://github.com/samtools/samtools/commit/2c1daf5
rm -f %{buildroot}%{_bindir}/varfilter.py

# Replace shebang for /usr/lib/rpm/redhat/brp-mangle-shebangs check.
for file in $(grep -l '^#!/usr/bin/env perl' %{buildroot}%{_bindir}/*); do
  sed -i '1 s|/usr/bin/env perl|/usr/bin/perl|' "${file}"
done


%check
# Check if samtools is built with system htslib.
ldd samtools | grep -E '/lib(64)?/libhts\.so\.'

make test


%files
%doc AUTHORS ChangeLog.old NEWS examples/
%license LICENSE
# We do not use a wildcard to list bin files, because this often leads
# to problems when the name changes or something additional is installed.
%{_bindir}/ace2sam
%{_bindir}/blast2sam.pl
%{_bindir}/bowtie2sam.pl
%{_bindir}/export2sam.pl
%{_bindir}/interpolate_sam.pl
%{_bindir}/maq2sam-long
%{_bindir}/maq2sam-short
%{_bindir}/md5fa
%{_bindir}/md5sum-lite
%{_bindir}/novo2sam.pl
%{_bindir}/plot-bamstats
%{_bindir}/psl2sam.pl
%{_bindir}/sam2vcf.pl
%{_bindir}/samtools
%{_bindir}/samtools.pl
%{_bindir}/seq_cache_populate.pl
%{_bindir}/soap2sam.pl
%{_bindir}/wgsim
%{_bindir}/wgsim_eval.pl
%{_bindir}/zoom2sam.pl
%{_mandir}/man1/samtools.1*
%{_mandir}/man1/wgsim.1*


%changelog
* Wed Feb 26 2025 Kaiqiang Wang <wangkaiqiang@ieisystgem.com> - 1.9-3
- update to samtools-1.9-3.el8.src.rpm
